compoundGraph-class {ontoTools} | R Documentation

## Class "compoundGraph" list representation of multiple graph::graph objects

### Description

Class "compoundGraph" list+list representation of multiple graph::graph objects

### Objects from the Class

Objects can be created by calls of the form `new("compoundGraph", ...)`.

### Slots

`grList`:
  Object of class `"list"` list of graph::graph objects
`between`:
  Object of class `"list"` list of node-to-node connections across graphs

### Methods

adjMat
  `signature(cg = "compoundGraph")`: ...
between
  `signature(object = "compoundGraph")`: ...
grList
  `signature(object = "compoundGraph")`: ...
toDot
  `signature(G = "compoundGraph", outDotFile = "character", renderList = "list", optList = "missing")`: ...
toDot
  `signature(G = "compoundGraph", outDotFile = "character", renderList = "list", optList = "list")`: ...
toDot
  `signature(G = "compoundGraph", outDotFile = "missing", renderList = "list", optList = "missing")`: ...

### Note

Should be supplanted by Rgraphviz facilities before too long.

### Author(s)

VJ Carey <stvjc@channing.harvard.edu>

### References

~put references to the literature/web site here ~

### See Also

Rgraphviz::subgraph

### Examples

[Package ontoTools version 1.12.1 Index]